Ruby - Bug #4916

[BUG] Segmentation fault - dyld: lazy symbol binding failed: Symbol not found: _ASN1_put_eoc

06/22/2011 01:28 PM - nahi (Hiroshi Nakamura)

Status: Closed

Priority: Normal

Assignee: nahi (Hiroshi Nakamura)

Target version: 1.9.3

ruby -v: - Backport:
Description

$ ruby -v -ropenssl -e 'p OpenSSL::OPENSSL_VERSION'

ruby 1.9.3dev (2011-06-22 trunk 32194) [i386-darwin9.8.0]

"OpenSSL 0.9.71 28 Sep 2006"

$ uname -a

Darwin ... 9.8.0 Darwin Kernel Version 9.8.0: Wed Jul 15 16:55:01 PDT 2009; root:xnu-1228.15.4~1/RELEASE_1386 i386

/miniruby -l../clean-trunk/lib -I. -l.ext/common ../clean-trunk/tool/runruby.rb --extout=.ext --"../clean-trunk/test/runner.rb"
--ruby="./miniruby -I../clean-trunk/lib -I. -l.ext/common ../clean-trunk/tool/runruby.rb --extout=.ext --" -qv
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/test/psych/json/test_stream.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/psych/nodes/test_enumerable.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/psych/test_alias_and_anchor.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/psych/test_array.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/psych/test_boolean.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/psych/test_class.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/psych/test_coder.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/psych/test_date_time.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/psych/test_deprecated.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/psych/test_document.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/psych/test_emitter.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/psych/test_encoding.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/psych/test_engine_manager.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/psych/test_exception.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/psych/test_hash.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/psych/test_json_tree.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/psych/test_merge_keys.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/psych/test_nil.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/psych/test_null.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/psych/test_object.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/psych/test_omap.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/psych/test_parser.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/psych/test_psych.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/psych/test_scalar.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/psych/test_scalar_scanner.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/psych/test_serialize_subclasses.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/psych/test_set.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/psych/test_stream.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/psych/test_string.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/psych/test_struct.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/psych/test_symbol.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/psych/test_tainted.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/psych/test_to_yaml_properties.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/psych/test_tree_builder.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/psych/test_yaml.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/psych/visitors/test_depth_first.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/psych/visitors/test_emitter.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/psych/visitors/test_to_ruby.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/psych/visitors/test_yaml_tree.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rake/test_package_task.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rdoc/test_rdoc_rubygems_hook.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_config.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_builder.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_command.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test._gem_command_manager.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_commands_build_command.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_commands_cert_command.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test._gem_commands_check_command.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_commands_cleanup_command.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_commands_contents_command.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_commands_dependency_command.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_commands_environment_command.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_commands_fetch_command.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_commands_generate_index_command.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_commands_help_command.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_commands_install_command.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_commands_list command.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_commands_lock_command.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_commands_outdated_command.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_commands_owner_command.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_commands_pristine_command.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_commands_push_command.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_commands_query_command.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_commands_server_command.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test._gem_commands_sources_command.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_commands_specification_command.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_commands_stale_command.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_commands_uninstall_command.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_commands_unpack_command.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_commands_update_command.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test._gem_commands_which_command.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_config_file.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_dependency.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_dependency_installer.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_dependency_list.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_doc_manager.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_ext_configure_builder.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_ext_ext_conf_builder.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_ext_rake_builder.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_format.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_gem_path_searcher.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_gem_runner.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_gemcutter_utilities.rb: cannot load such file --
psych/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55:
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:30: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:51: warning: already initialized constant ENGINE
/Users/ko1/ruby/clean-trunk/lib/yaml.rb:55: warning: already initialized constant ENGINE

/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_indexer.rb: cannot load such file -- psych

/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_install_update_options.rb: cannot load such file -- psych

/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_installer.rb: cannot load such file -- psych

/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_local_remote_options.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_package_tar_header.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_package_tar_input.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_package_tar_output.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_package_tar_reader.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_package_tar_reader_entry.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_package_tar_writer.rb: cannot load such file -- psych

/Users/ko1/ruby/clean-trunk/test/rubygems/test._gem_package_task.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_path_support.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_platform.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_remote_fetcher.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_requirement.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_security.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_server.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_silent_ui.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_source_index.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_spec_fetcher.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_specification.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_stream_ui.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_text.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_uninstaller.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_validator.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_version.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_gem_version_option.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/rubygems/test_kernel.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/syck/test_array.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/syck/test_boolean.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/syck/test_class.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/syck/test_engine_manager.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/syck/test_exception.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/syck/test_hash.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/syck/test_null.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/syck/test_omap.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/syck/test_set.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/syck/test_string.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/syck/test_struct.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/syck/test_symbol.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/syck/test_time.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/syck/test_yaml.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/syck/test_yaml_properties.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/syck/test_yamistore.rb: cannot load such file -- psych
/Users/ko1/ruby/clean-trunk/test/xmirpc/test_parser.rb: cannot load such file -- psych

Run options: "--ruby=./miniruby -1../clean-trunk/lib -I. -l.ext/common ../clean-trunk/tool/runruby.rb --extout=.ext --" -qv

Running tests:

Benchmark::bmbm#test_0001_correctly_guess_the_label_width_even_when_not_given =0.10s =.
Benchmark::bmbm#test_0002_correctly_output_when_the_label_width_is_given_bmbm_ignore_it_but_it_is_a_frequent_mistake_ =
0.11s=.

Benchmark::bm#test_0002_correctly _guess_the_label_width_even_when_not_given =0.00s =S
Benchmark::bm#test_0005_can_make_extra_calcultations_with_an_array_at_the_end_of the _benchmark =0.00 s = .
Benchmark::bm#test_0004_correctly_output_when_no_label_is_given =0.00 s =.
Benchmark::bm#test_0001_returns_an_array_of_the_times_with_the_labels =0.00 s =.
Benchmark::bm#test_0003_correctly_output_when_the_label_width_is_given =0.00 s = .
Benchmark::benchmark#test 0001_makes_extra_calcultations_with_an_array_at_the_end_of the_benchmark_and_show_the_resul
t=0.00s=.

Benchmark:: Tms#test_0001_outputs_nicely = 0.00 s = .

Benchmark:: Tms#test_0002_wont_modify_the_format_string_given =0.00 s =.
Benchmark::Report::#item#test_0001_shows_the_title_even_if_not_a_string =0.04 s =.
MiniTest::Spec#test_0007_needs_to_verify_nil=0.00 s = .
MiniTest::Speci#test_0008_needs_to_verify_using_any_operator = 0.00 s =.
MiniTest::Spec#test_0009_needs_to_catch_an_expected_exception =0.00 s = .
MiniTest::Spec#test_0017_needs_to_verify_mismatch = 0.00 s = .
MiniTest::Spec#test_0024_needs_to_be_sensible_about_wont_include_order = 0.00 s = .
MiniTest::Speci#test_0016_needs_to_verify_inequality = 0.00 s = .
MiniTest::Speci#test_0004_needs_to_verify_types_of objects =0.00s =.
MiniTest::Speci#test_0013_needs_to_verify_using_respond_to = 0.00 s =.
MiniTest::Spec#test_0005_needs_to_verify_kinds_of_objects = 0.00 s = .

MiniTest::Spec#test 0022_needs_to_ensure_silence = 0.01 s =.

MiniTest::Spect#test 0010_needs_to_catch_an_unexpected_exception =0.00 s = .
MiniTest::Spec#test_0014_needs_to_verify_identity = 0.00 s = .
MiniTest::Spec#test_0002_needs_to_verify_equality = 0.00 s = .
MiniTest::Speci#test_0020_needs_to_verify_output_in_stdout = 0.00 s = .
MiniTest::Spec#test_0015_needs_to_verify_throw = 0.00 s = .
MiniTest::Spec#test_0006_needs_to_verify_regexp_matches =0.00 s = .
MiniTest::Speci#test_0011_needs_raise_if an_expected_exception_is_not_raised = 0.00 s = .
MiniTest::Spec#test_0003_needs_to_verify_floats_within_a_delta=0.00 s =.
MiniTest::Spec#test_0023_needs_to_be_sensible_about_must_include_order = 0.00 s = .
MiniTest::Spect#test_0012_needs_to_be_able_to_catch_a_minitest_assertion_exception = 0.00 s =.
MiniTest::Spec#test_0001_needs_to_have_all_methods_named_well = 0.00 s = .
MiniTest::Speci#test_0019_needs_to_verify_non_identity = 0.00 s = .
MiniTest::Speci#test_0021_needs_to_verify_output_in_stderr =0.00 s = .
MiniTest::Spec#test_0018_needs_to_verify_non_nil =0.00 s = .

Benchmark::Bugs#test_0001__ruby dev_40906_can_add_in_place_the_time_of_execution_of the_block_given =0.10s =.
ACLEntryTest#test_all=0.00s =.

ACLEntryTest#test ip=0.00s =.

ACLEntryTest#test ip_v6 =0.00s =.

ACLEntryTest#test_ name =0.00s =.

ACLListTest#test 1 =0.00s =.

ACLListTest#test 2=0.00s =.
ACLListTest#test_all_1=0.00s =.

ACLListTest#test_all 2=0.00s =.

ACLTest#test 0=0.00s =.

ACLTest#test 1 =0.00s =.

ACLTest#test not 0=0.00s =.

ACLTest#test not 1=0.00s =.
AttributesTester#test_accessor =0.00s =.
AttributesTester#test_amp_and_If_attributes =0.00 s = .
AttributesTester#test_amp_attributes = 0.00 s = .
AttributesTester#test_attribute_deletion =0.00 s = .
AttributesTester#test delete =0.00 s = .
AttributesTester#test each =0.00s =.

AttributesTester#test _each_attribute = 0.00s = .
AttributesTester#test_element_usage = 0.00 s = .
AttributesTester#test_get_attribute = 0.00 s =.
AttributesTester#test_namespace_conflict = 0.00 s = .
AttributesTester#test_prefixes =0.00s = .
AttributesTester#test_quoting = 0.00 s = .
AttributesTester#test_setter =0.00 s =.
AttributesTester#test size =0.00s =.
AttributesTester#test_ticket 127 =0.00s =.
AttributesTester#test_values_with_apostrophes =0.00 s = .
BaseTester#test_accents =0.00s =.
BaseTester#test_character_reference =0.00s =.
BaseTester#test_cr=0.00s =.

BaseTester#test_empty =0.00 s =.
BaseTester#test_entity_reference =0.00s = .
BaseTester#test_leading_trailing_whitespace = 0.00 s = .
BaseTesteri#test_space =0.00s = .
BaseTester#test_whitespace = 0.00 s =.
CGICookieTest#test_cgi_cookie_arrayinterface =0.00 s = .
CGICookieTest#test_cgi_cookie_new_complex =0.00 s = .
CGICookieTest#test_cgi_cookie_new_simple = 0.00 s =.
CGlICookieTest#test_cgi_cookie_parse =0.00s = .
CGlICookieTest#test_cgi_cookie_scriptname = 0.00 s = .
CGiICoreTest#test_cgi_core_cookie = 0.00 s = .
CGlICoreTest#test _cgi_core_environs =0.00 s =.
CGlICoreTestitest_cgi_core_htmltype = 0.11 s =.
CGilCoreTestitest _cgi_core_out=0.00s =.

CGlICoreTest#test _cgi_core_params_GET =0.00s =.
CGlICoreTest#test_cgi_core_params_POST =0.00 s =.
CGlCoreTest#test_cgi_core_params_encoding_check =0.00 s =.
CGlCoreTest#test _cgi_core_print=0.00s =.
CGICoreTest#test_cgi_parse_illegal_query =0.00s =.
CGlIHeaderTest#test_cgi_header_argerr=0.00 s =.
CGlIHeaderTest#test_cgi_header_complex = 0.00 s = .
CGlIHeaderTest#test_cgi_header_cookie =0.00 s =.
CGlIHeaderTest#test_cgi_header nph=0.00s = .
CGlIHeaderTest#test_cgi_header_output_cookies = 0.00 s = .
CGlIHeaderTest#test_cgi_header_simple =0.00 s =.
CGIModrubyTest#test_cgi_modruby_complex =0.00 s = .
CGIModrubyTest#test_cgi_modruby_location =0.00 s = .
CGIModrubyTest#test_cgi_modruby_requestparams = 0.00s = .
CGIModrubyTest#test_cgi_modruby_simple = 0.00 s = .
CGIMultipartTest#test_cgi_multipart_badbody = 0.04 s = .
CGIMultipartTest#test_cgi_multipart_maxmultipartcount = 0.11 s = .
CGIMultipartTest#test_cgi_multipart_maxmultipartlength = 0.00 s = .
CGIMultipartTest#test_cgi_multipart_quoteboundary = 0.11 s =.
CGIMultipartTest#test_cgi_multipart_stringio = 0.00 s = .
CGIMultipartTest#test_cgi_multipart_tempfile = 0.00 s =.
CGlSessionTest#test_cgi_session_filestore = 0.09s =.
CGlISessionTest#test_cgi_session_pstore = 0.00 s = .
CGlSessionTest#test_cgi_session_specify_session_id =0.00s = .
CGlSessionTest#test_cgi_session_specify_session_key = 0.00 s = .
CGlITagHelperTest#test_cgi_tag_helper_htmI3 = 0.01 s =.
CGlUtilTest#test_cgi_escape =0.00s =.
CGlUtilTest#test_cgi_pretty =0.00 s =.
CGlUtilTest#test_cgi_unescape =0.00 s =.
ChangingEncodings#test_0_euc =0.00 s = .
ChangingEncodings#test_1_utf =0.00s = .
ChangingEncodings#test 2 euc =0.00s =.
ComplexRational_Test#test_comp_srat=0.00s =.
ComplexRational_Test#test_rat_srat=0.00s =.
Complex_Test#test add =0.00s =.
Complex_Test#test_attr =0.00 s = .
Complex_Test#test_attr2 =0.00s = .
Complex_Test#test cmp=0.00s =.
Complex_Test#test_coerce =0.00 s =.
Complex_Test#test_coerce2 =0.00s =.
Complex_Test#test_compsub = 0.00s =.
Complex_Test#test_conv=0.00s =.
Complex_Test#test_div=0.00s =.
Complex_Test#test_eqeq=0.00s =.
Complex_Test#test_eql p=0.00s =.
Complex_Test#test_expt=0.00s =.
Complex_Test#test_fdiv=0.00s =.
Complex_Test#test fixed_bug =0.00s =.
Complex_Test#test_freeze =0.00s =.
Complex_Test#test_hash =0.00 s =.
Complex_Test#test_inspect =0.00 s =.
Complex_Test#test_known_bug =0.00 s =.
Complex_Test#test_marshal =0.00s = .
Complex_Test#test_ math =0.00s =.
Complex_Test#test._ mul =0.00s =.
Complex_Test#test_negate =0.00 s =.
Complex_Test#test_parse =0.04 s =.
Complex_Test#test_polar=0.00s = .
Complex_Test#test quo=0.00s =.
Complex_Test#test_rect=0.00s =.
Complex_Test#test_respond = 0.00 s = .
Complex_Test#test_ruby19=0.00s =.
Complex_Test#test_sub=0.00s =.
Complex_Test#test supp =0.00s =.
Complex_Test#test to c=0.00s =.
Complex_Test#test to f=0.00s =.
Complex_Test#test to_i=0.00s =.
Complex_Test#test_to r=0.04s=.
Complex_Test#test_ to_ s=0.00s =.
Complex_Test#test_unify =0.00 s = .
Complex_Test#test_uplus =0.00s =.
Complex_Test2#test_kumi=0.01s=.
Complex_Test2#test_ kumi2 =0.00 s = .
ContribTester#test_bad_doctype_Tobias = 0.00 s = .
ContribTester#test_complex_xpath_Tobias = 0.00 s = .
ContribTester#test_deep_clone =0.00 s = .
ContribTester#test_double_escaping =0.00 s = .
ContribTester#test_element_cloning_namespace_Chris =0.00 s = .
ContribTester#test_entities_Holden_Glova = 0.01 s =.
ContribTester#test_external_entity = 0.04 s = .
ContribTester#test_extra_newline_on_read_Chris =0.00 s =.
ContribTester#test_indenting_error = 0.00 s = .
ContribTester#test_less_than_in_element_content =0.00s = .
ContribTester#test_maintain_did =0.00s =.
ContribTester#test_namespace_Peter =0.00 s = .
ContribTester#test_namespaces_in_attlist_tobias =0.00 s =.
ContribTester#test_other_xpath_Tobias =0.00 s =.
ContribTester#test pos =0.00s =.
ContribTester#test_raw_Terje_Elde =0.00 s = .
ContribTester#test_text nodes_nomatch =0.00 s =.
ContribTester#test_ticket 12 =0.00s =..
ContribTester#ttest_ umlaut = 0.01 s = .
ContribTester#test_various_xpath = 0.01 s =.
ContribTester#test_whitespace_after_xml_decl =0.00 s =.
ContribTester#test_xpath_01_TobiasReif =0.00 s = .
ContribTester#test_xpath_02_TobiasReif =0.00 s = .
ContribTester#test_xpath_03_TobiasReif =0.00 s = .
ContribTester#test_xpath_whitespace_TobiasReif =0.00 s = .
DL::TestBase#test_empty =0.00s =.
DL::TestCFunc#test_empty = 0.00s =.
DL::TestCFunc#test_inspect = 0.00 s = .
DL::TestCFunc#test_inspect_is_tainted = 0.00 s = .
DL::TestCFuncttest last_error=0.00s =.
DL::TestCFunc#test_name_should_be_duped = 0.00 s =.
DL::TestCFunc#test_new_ptr=0.00s = .
DL::TestCFunc#test_new_ptr_type_name =0.00s =.
DL::TestCFunc#test_ptr=0.00s =.
DL::TestCFunc#test_ptr==0.00s =.
DL::TestCFunc#test_set_calltype = 0.00s = .
DL::TestCFunc#test to i=0.00s =.
DL::TestCFunc#test to s=0.00s =.
DL::TestCParser#test_empty =0.00 s = .
DL::TestCParser#test_uint_ctype =0.00s = .
DL::TestCPtr#test_aref aset=0.00s =.
DL::TestCPtr#test cmp =0.00s =.
DL::TestCPtr#test_cptr_to_int=0.00s =.
DL::TestCPtr#test_empty =0.00 s = .
DL::TestCPtr#test_equals =0.00 s =.
DL::TestCPtr#test free =0.00s =.
DL::TestCPtr#test_free==0.04s =.
DL::TestCPtri#test_inspect =0.00 s =.
DL::TestCPtr#test_malloc_free func =0.00s =.
DL::TestCPtrittest malloc_free func_int=0.00s =.
DL::TestCPtrittest minus =0.00 s = .
DL::TestCPtr#test_not_equals = 0.00 s = .
DL::TestCPtr#test null? =0.00s =.
DL::TestCPtr#test_plus =0.00s =.
DL::TestCPtr#test_ref_ptr=0.00s =.
DL::TestCPtr#ttest_size =0.00s =.
DL::TestCPtr#test_size==0.00s =.
DL::TestCPtr#test to_ptr io=0.00s =.
DL::TestCPtr#test_to_ptr_string=0.00s =.
DL::TestCPtr#test_to_ptr_with_num =0.00s =.
DL::TestCPtr#test_to_ptr_with_ptr=0.00s = .
DL::TestCPtr#ttest to s=0.00s =.
DL::TestCPtr#test_to_str=0.00s =.
DL::TestCPtr#test to value =0.00 s =.
DL::TestCallback#test call_callback =0.00 s = .
DL::TestCallbacki#test_callback_return_arbitrary = 0.00 s =.
DL::TestCallback#test_callback_return_value =0.00 s =.
DL::TestCallback#test_callback_with_string = 0.00 s = .
DL::TestCallback#test_empty =0.00 s = .
DL::TestCallback#test remove callback =0.00s =.
DL::TestCallback#test_remove_callback_failed =0.00 s =.
DL::TestDL#test call_double =0.00s =.
DL::TestDL#test call_int=0.00s =.
DL::TestDL#test_call_long=0.00s =.
DL::TestDL#test callback =0.00s =.
DL::TestDL#test dlwrap =0.00s =.
DL::TestDL#test_empty =0.00 s = .

DL::TestDL#test free_secure =0.00s =.
DL::TestDL#test_malloc = 0.00 s = .
DL::TestDL#test_malloc_security = 0.00 s =.
DL::TestDL#test realloc=0.00s =.

DL::TestDL#test realloc_secure =0.00s =.
DL::TestDL#test sin=0.00s =.
DL::TestDL#test_strcpy =0.00s = .
DL::TestDL#test strlen =0.00s =.
DL::TestFunct#test atof =0.00 s =.
DL::TestFunci#test empty =0.00 s =.
DL::TestFunci#test_isdigit =0.00 s = .
DL::TestFunc#test name =0.00s =.
DL::TestFunc#test_gsort1 =0.00s =.
DL::TestFunc#test_gsort2 =0.00s =.
DL::TestFunct#test random =0.00s =.
DL::TestFunc#test sin=0.00s =.
DL::TestFunc#test sinf=0.00s =.
DL::TestFunc#test_strcpy =0.00s =.
DL::TestFunc#test_string=1.91s =.
DL::TestFuncttest_strtod =0.00s =.
DL::TestFunc#test to_i=0.00s =.
DL::TestHandle#test DEFAULT =0.00s =.
DL::TestHandle#test NEXT =0.00s =.
DL::TestHandle#test disable close =0.00s =.
DL::TestHandle#test_dlopen_returns_handle = 0.00 s =.
DL::TestHandle#test_dlopen_safe =0.00s =.
DL::TestHandle#test_empty = 0.00 s = .
DL::TestHandle#test _enable close =0.00 s =..
DL::TestHandle#test_handle_close =0.00 s =.
DL::TestHandle#test handle_close twice =0.00s =.
DL::TestHandle#test_initialize_flags = 0.00 s = .
DL::TestHandle#test_initialize_noargs = 0.00 s =.
DL::TestHandle#test initialize_safe = 0.00s =.
DL::TestHandle#test_static sym=0.00s = .
DL::TestHandle#test_static_sym_secure = 0.00 s = .
DL::TestHandle#test_static_sym_unknown = 0.01 s = .
DL::TestHandle#test_ sym =0.00s = .
DL::TestHandle#test_sym_closed_handle =0.00 s =.
DL::TestHandle#test_sym_secure =0.00 s =.
DL::TestHandle#test_sym_unknown = 0.01 s =.
DL::TestHandle#test_sym_with_bad_args =0.00s =.
DL::TestHandle#test to i=0.00s =.
DL::Testimport#test_atof =0.00 s = .
DL::Testimport#test _carried_function =0.00 s =.
DL::Testimport#test empty =0.00 s =.
DL::Testimport#test_ensure_call_dlload =0.00 s = .
DL::Testimport#test_gettimeofday = 0.00 s = .
DL::Testimport#test_io =0.00s = .
DL::Testimport#test_isdigit =0.00 s = .
DL::Testimport#test_malloc = 0.00 s =.
DL::Testimport#test_gsort =0.00 s =.
DL::Testimport#test_sizeof =0.00 s =.
DL::Testimport#test_strcpy = 0.00 s = .
DL::Testimport#test_strtod = 0.00 s = .
DL::Testimport#test_struct=0.00s = .
DL::Testimport#test_unsigned_result =0.00 s = .
DL::Testimport#test_value = 0.00 s = .
DL::TestWin32#test_empty =0.00 s =.
ElementsTester#test_accessor =0.00s =.
ElementsTester#test add =0.00s =.
ElementsTester#test_collect =0.00s =.
ElementsTester#test delete =0.00 s = .
ElementsTester#test delete_all=0.00s =.
ElementsTester#test each =0.00s =.
ElementsTester#test_each_with_frozen condition =0.00s =.
ElementsTester#test_indexing =0.00s = .
ElementsTester#test_inject = 0.00 s = .
ElementsTester#ttest size =0.00s =.
ElementsTester#test_ticket_36 =0.00s =.
ElementsTester#ttest to a=0.00s =.
Emaoji::TestDoCoMo##test_comparison =0.00 s =.
Emoiji::TestDoCoMo##test_docomo = 0.00 s =.
Emoji::TestDoCoMottest_encoding_name =0.00 s =.
Emoji::TestDoCoMo#test from_sjis =0.00 s =.
Emoji::TestDoCoMo#test from_utf8 = 0.00s =.
Emoji::TestDoCoMot#test_to_eucjp =0.00s = .
Emoji::TestDoCoMo##test _to_kddi =0.00 s =.
Emoji::TestDoCoMo#test_to_sjis =0.00s = .
Emoji::TestDoCoMotttest_to_softbank = 0.00 s =.
Emoji::TestDoCoMot#test _to_utf8 = 0.00s =.
Emoji::TestKDDH#test_comparison = 0.00 s =.
Emoji::TestKDDl#test_encoding_name = 0.00 s =.
Emoji::TestKDDH#test_from_is02022jp = 0.00 s =.
Emoiji::TestKDDl#test_from_sjis =0.00 s = .
Emoiji::TestKDDl#test_from_utf8 = 0.00 s =.
Emoji::TestKDDl#test_kddi = 0.00s =.
Emoji::TestKDDl#test_to_docomo = 0.00 s = .
Emoji::TestKDDl#test_to_eucjp =0.00 s =.
Emoji::TestKDDl#test_to_sjis =0.00 s =.
Emoji::TestKDDH#test_to_softbank = 0.00 s =.
Emoji::TestKDDl#test_to_utf8 =0.00 s = .
Emoiji::TestRenameSJIS#test_shift_jis = 0.01 s =.
Emoji::TestSoftBank#test_comparison = 0.00 s = .
Emoji::TestSoftBank#test_encoding_name = 0.00 s =.
Emoji::TestSoftBank#test_from_sjis = 0.00s = .
Emoji::TestSoftBank#test_from_utf8 = 0.00 s = .
Emoji::TestSoftBank#test_softbank = 0.00 s =.
Emoji::TestSoftBank#test_to_docomo =0.00 s =.
Emoiji::TestSoftBank#test_to_eucjp =0.00 s =.
Emoji::TestSoftBank#test_to_kddi = 0.00 s =.
Emoji::TestSoftBank#test_to_sjis = 0.00s =.
Emoji::TestSoftBank#test_to_utf8 = 0.00 s = .
Emoji::-TestUTF8_BLACK_SUN_WITH_RAYS#test_convert=0.00 s =.
EncodingTester#test_encoded_in_change_out=0.00s =.
EncodingTester#test_encoded_in_different_out =0.00 s = .
EncodingTester#test_encoded_in_encoded_out =0.00 s =.
EncodingTester#test_in_change_out =0.00 s = .
EncodingTester#test_in_different_access = 0.00 s = .
EncodingTester#test_in_different_out = 0.00 s =.
EncodingTester#test_ticket_ 110 =0.00s =.
EncodingTester#test_ticket_ 89 =0.00s =.
EntityTester#test_constructor = 0.00 s = .
EntityTester#test_entity_insertions =0.00 s =.
EntityTester#test_entity_replacement =0.00 s = .
EntityTester#test_lazy_evaluation =0.00 s = .
EntityTester#test_parse_entity =0.00 s =.
EntityTester#test_parse_external_decl =0.00 s = .
EntityTester#test_parse_general_decl =0.00 s = .
EntityTester#test raw = 0.00 s = .
EntityTester#test_replace_entities = 0.00 s = .
EntityTester#test_single_pass_unnormalization = 0.00 s = .
Fiddle::TestClosure#test_returner =0.00 s = .
Fiddle::TestClosure#ttest memsize = 0.03s =.
Fiddle::TestClosure#test _block caller =0.00 s =.
Fiddle::TestClosure#test _call =0.00 s =.
Fiddle::TestClosure#test_argument_errors = 0.00 s =.
Fiddle::TestFunction#test_argument_count =0.00 s = .
Fiddle::TestFunction#test_default_abi =0.00s = .
Fiddle::TestFunction#test_last_error =0.00 s = .
Fiddle::TestFunction#test_argument_errors = 0.00 s =.
Fiddle::TestFunction#test_strcpy = 0.00 s = .
Fiddle::TestFunction#test call =0.00s =.
FunctionsTester#test_contains = 0.00 s =.
FunctionsTester#test_floor_ceiling_round =0.09 s = .
FunctionsTester#test_functions =0.00s =.
FunctionsTester#test_lang =0.01 s =.
FunctionsTester#test_local name =0.00s =.
FunctionsTester#test name =0.00s =.
FunctionsTester#test_normalize_space =0.00s = .
FunctionsTester#test_starts_with =0.00s =.
FunctionsTester#test_string_length =0.00 s = .
FunctionsTester#test_substring = 0.00 s = .
FunctionsTester#test_substring2 = 0.00 s = .
FunctionsTester#test_substring_angrez =0.00 s = .
FunctionsTester#test_ticket 60 =0.00s =.
FunctionsTester#test_translate = 0.01 s =.
HTTPHeaderTest#test AREF =0.00s =.
HTTPHeaderTest#test ASET =0.00s =.
HTTPHeaderTest#test_add_field =0.00s = .
HTTPHeaderTest#test_basic auth=0.00s =.
HTTPHeaderTest#test_canonical each =0.00s =.
HTTPHeaderTest#test chunked? =0.00 s =.
HTTPHeaderTest#test_content_length =0.00 s = .
HTTPHeaderTest#test_content_length==0.00 s =.
HTTPHeaderTest#test_content_range = 0.00 s =.
HTTPHeaderTest#test_content_type =0.00 s =.
HTTPHeaderTest#test_delete =0.00 s = .
HTTPHeaderTest#test each =0.00s =.
HTTPHeaderTest#test_each_capitalized = 0.00 s = .
HTTPHeaderTest#test_each_key =0.00s =.
HTTPHeaderTest#test_each_value =0.00 s =.
HTTPHeaderTest#test form_data==0.00s =.
HTTPHeaderTest#test_get_fields =0.00 s = .
HTTPHeaderTest#test_key? =0.00s =.
HTTPHeaderTest#test_main_type =0.00 s =.
HTTPHeaderTest#test_proxy_basic_auth =0.00 s =.
HTTPHeaderTest#test_range =0.00s =.
HTTPHeaderTest#test range==0.00s =.
HTTPHeaderTest#test_range_length =0.00 s = .
HTTPHeaderTest#test_set content_type =0.00 s = .
HTTPHeaderTest#test_set form_data =0.00s =.
HTTPHeaderTest#test_size =0.00s =.
HTTPHeaderTest#test_sub_type =0.00s =.
HTTPHeaderTest#test to hash=0.00s =.
HTTPHeaderTest#test _type_params =0.00 s =.
HTTPResponseTest#test_multiline_header =0.00 s = .
HTTPResponseTest#test_singleline_header = 0.00 s = .
HTTPSProxyTest#test_https_proxy_authentication = 0.00 s = .
IMAPResponseParserTest#test_flag_list._ many_same_flags = 0.01 s =.
IMAPResponseParserTest#test_flag_list_safe =0.00s = .
IMAPResponseParserTest#test_flag_list_too_many_flags =0.00 s =.
IMAPResponseParserTest#test_flag_xlist_inbox =0.00 s = .
IMAPResponseParserTest#test_resp_text code =0.00s =.
IMAPResponseParserTest#test_search_response =0.00 s =.
IMAPResponseParserTest#test_search_response_of yahoo =0.00s = .
IMAPTest#test_decode utf7 =0.00s =.
IMAPTest#test_encode_utf7 =0.00 s = .
IMAPTest#test_exception_during_idle = 0.10 s = .
IMAPTest#test_exception_during_shutdown = 0.00 s = .
IMAPTest#test_format_date = 0.00s =.
IMAPTest#test_format_datetime = 0.00 s = .
IMAPTest#test_idle =0.00s =.
IMAPTest#test_idle_done_not_during_idle = 0.00 s =.
IMAPTest#test_imaps_post_connection_check = 0.07 s =.
IMAPTest#test_imaps_unknown_ca =0.02 s = .
IMAPTest#test_imaps_verify_none = 0.07 s =.
IMAPTest#test_imaps_with_ca_file = 0.07 s = .
IMAPTest#test_starttls = 0.07 s = .
IMAPTest#test_unexpected_bye =0.00 s = .
IMAPTest#test_unexpected_eof =0.00 s = .
JaxenTester#test _axis=0.00s =.

JaxenTester#test basic=0.00s =.
JaxenTester#test_basicupdate = 0.00 s = .
JaxenTester#test_contents = 0.04 s =.
JaxenTester#test_defaultNamespace = 0.00 s = .
JaxenTester#test fibo=0.00s =.

JaxenTester#test id=0.00s =.

JaxenTester#test_jaxen24 =0.00s =.
JaxenTester#test_lang=0.00s =.
JaxenTester#test_message =0.00 s =.
JaxenTester#test_moreover = 0.03 s = .

JaxenTester#ttest much_ado =0.53 s =.
JaxenTester#test_namespaces = 0.00 s = .
JaxenTester#test_nitf = 0.00 s = .

JaxenTester#ttest numbers =0.00s =.

JaxenTester#test_pi=0.00s =.

JaxenTester#test_pi2=0.00s =.

JaxenTester#test_simple =0.00 s = .

JaxenTester#test_testNamespaces =0.00 s = .

JaxenTester#test text=0.00s =.

JaxenTester#test _underscore =0.00s =.

JaxenTester#test_ web =0.00s =.

JaxenTester#test web2 =0.00s =.

LightParserTester#test_parsing = 0.01 s =.

LightTester#test_parse_large = 0.00 s = .
Net::SMTP::TestResponse#test_syntax_error_exception = 0.00 s = .
Net::SMTP::TestResponse#test_capabilities = 0.00 s = .
Net::SMTP::TestResponse#test_fatal_error = 0.00 s = .
Net::SMTP::TestResponse#test_continue? =0.00 s = .
Net::SMTP::TestResponse#test_capabilities_multi=0.00 s =.
Net::SMTP::TestResponse#test_default_exception =0.00 s = .
Net::SMTP::TestResponse#test_authentication_exception =0.00 s = .
Net::SMTP::TestResponsettest capabilities_default = 0.00 s =.
Net::SMTP::TestResponse#test_server_busy_exception =0.00 s = .
Net::SMTP::TestResponse#test_capabilities_value = 0.00 s = .
Net::SMTP::TestResponse#test_success? =0.00 s =.
Net::SMTP::TestResponse#test_bad_string=0.00s =.
Net::SMTP::TestResponse#test_status_type_char =0.00s =.
Net::SMTP::TestResponse#test message = 0.00s = .
Net::TestBuffered|O#test_eof? =0.00s = .

Net:: TestSMTP#test_esmtp =0.00 s = .

Net:: TestSSLSocket#test_ssl_socket_close_on_post_connection_check_fail =0.00 s = .
Net:: TestSSLSocket#test_ssl_socket _open_on_post_connection_check_success =0.00 s =.
OpenSSL::TestASN1#test_bit_string_infinite_length = 0.00 s = F
OpenSSL::TestASN1#test_cons_explicit_tagging = 0.00 s = .
OpenSSL::TestASN1#test_cons_explicit_tagging_inf_length = dyld: lazy symbol binding failed: Symbol not found: _ASN1_put_eoc
Referenced from: /Users/ko1/ruby/build-clean/.ext/i386-darwin9.8.0/openssl.bundle
Expected in: flat namespace

dyld: Symbol not found: _ASN1_put_eoc
Referenced from: /Users/ko1/ruby/build-clean/.ext/i386-darwin9.8.0/openssl.bundle
Expected in: flat namespace

/Users/ko1/ruby/clean-trunk/test/openssl/test_asn1.rb:396: [BUG] Segmentation fault
ruby 1.9.3dev (2011-06-22 trunk 32194) [i386-darwin9.8.0]

-- Control frame information
€:0025 p:---- s:0105 b:0105 1:000104 d:000104 CFUNC :to_der

€:0024 p:0155 s:0102 b:0100 1:000099 d:000099 METHOD /Users/ko1/ruby/clean-trunk/test/openssl/test_asn1.rb:396
€:0023 p:0063 s:0093 b:0093 1:0000d0 d:0000d0 METHOD /Users/ko1/ruby/clean-trunk/lib/minitest/unit.rb:948
€:0022 p:0025 s:0087 b:0087 1:000086 d:000086 METHOD /Users/ko1/ruby/clean-trunk/lib/test/unit/testcase.rb:17
€:0021 p:0090 s:0083 b:0083 1:000071 d:000082 BLOCK /Users/ko1/ruby/clean-trunk/lib/minitest/unit.rb:787
¢:0020 p:---- 5:0077 b:0077 1:000076 d:000076 FINISH

¢:0019 p:---- 5:0075 b:0075 1:000074 d:000074 CFUNC :map

¢:0018 p:0124 s:0072 b:0072 1:000071 d:000071 METHOD /Users/ko1/ruby/clean-trunk/lib/minitest/unit.rb:780
€:0017 p:0020 s:0064 b:0063 1:000053 d:000062 BLOCK /Users/ko1/ruby/clean-trunk/lib/test/unit.rb:570

€:0016 p:---- s:0059 b:0059 1:000058 d:000058 FINISH

€:0015 p:---- s:0057 b:0057 1:000056 d:000056 CFUNC :each

€:0014 p:0053 s:0054 b:0054 1:000053 d:000053 METHOD /Users/ko1/ruby/clean-trunk/lib/test/unit.rb:568

€:0013 p:0189 s:0048 b:0048 1:000047 d:000047 METHOD /Users/ko1/ruby/clean-trunk/lib/minitest/unit.rb:746
€:0012 p:0013 s:0038 b:0038 1:000037 d:000037 METHOD /Users/ko1/ruby/clean-trunk/lib/minitest/unit.rb:909
¢:0011 p:0012 s:0035 b:0035 1:000026 d:000034 BLOCK /Users/ko1/ruby/clean-trunk/lib/minitest/unit.rb:896
€:0010 p:---- s:0032 b:0032 1:000031 d:000031 FINISH

€:0009 p:---- s:0030 b:0030 1:000029 d:000029 CFUNC :each

€:0008 p:0068 s:0027 b:0027 1:000026 d:000026 METHOD /Users/ko1/ruby/clean-trunk/lib/minitest/unit.rb:895
€:0007 p:0029 s:0023 b:0023 1:000022 d:000022 METHOD /Users/ko1/ruby/clean-trunk/lib/minitest/unit.rb:884
¢:0006 p:0022 s:0019 b:0019 1:000018 d:000018 METHOD /Users/ko1/ruby/clean-trunk/lib/test/unit.rb:21

€:0005 p:0016 s:0015 b:0015 1:000014 d:000014 METHOD /Users/ko1/ruby/clean-trunk/lib/test/unit.rb:635

€:0004 p:0019 s:0012 b:0012 1:000011 d:000011 METHOD /Users/ko1/ruby/clean-trunk/lib/test/unit.rb:639

€:0003 p:0146 s:0008 b:0007 1:000f84 d:001138 EVAL ../clean-trunk/test/runner.rb:13
¢:0002 p:---- 5:0004 b:0004 1:000003 d:000003 FINISH
€:0001 p:0000 s:0002 b:0002 1:000f84 d:000f84 TOP

-- Ruby level backtrace information
../clean-trunk/test/runner.rb:13:in <main>' /Users/ko1/ruby/clean-trunk/lib/test/unit.rb:639:in run’
/Users/ko1/ruby/clean-trunk/lib/test/unit.rb:635:in run' /Users/ko1/ruby/clean-trunk/lib/test/unit.rb:21:in run'
/Users/ko1/ruby/clean-trunk/lib/minitest/unit.rb:884:in run' /Users/ko1/ruby/clean-trunk/lib/minitest/unit.rb:895:in _run'
/Users/ko1/ruby/clean-trunk/lib/minitest/unit.rb:895:in each' /Users/ko1/ruby/clean-trunk/lib/minitest/unit.rb:896:in block in _run'
/Users/ko1/ruby/clean-trunk/lib/minitest/unit.rb:909:in run_tests' /Users/ko1/ruby/clean-trunk/lib/minitest/unit.rb:746:in _run_anything'
/Users/ko1/ruby/clean-trunk/lib/test/unit.rb:568:in _run_suites' /Users/ko1/ruby/clean-trunk/lib/test/unit.rb:568:in each’
/Users/ko1/ruby/clean-trunk/lib/test/unit.rb:570:in block in _run_suites' /Users/ko1/ruby/clean-trunk/lib/minitest/unit.rb:780:in
run_suite'
/Users/ko1/ruby/clean-trunk/lib/minitest/unit.rb:780:in map' /Users/ko1/ruby/clean-trunk/lib/minitest/unit.rb:787:in block in _run_suite'
/Users/ko1/ruby/clean-trunk/lib/test/unit/testcase.rb:17:in run' /Users/ko1/ruby/clean-trunk/lib/minitest/unit.rb:948:in run'
/Users/ko1/ruby/clean-trunk/test/openssl/test_asn1.rb:396:in test_cons_explicit_tagging_inf_length'
/Users/ko1/ruby/clean-trunk/test/openssl/test_asn1.rb:396:in to_der'

-- See Crash Report log file under ~/Library/Logs/CrashReporter or ---------
-- /Library/Logs/CrashReporter, for the more detail of ---------------------
-- C level backtrace information

-- Other runtime information

e | oaded script: ../clean-trunk/test/runner.rb
¢ Loaded features:

0 enumerator.so

1 /Users/ko1/ruby/build-clean/.ext/i386-darwin9.8.0/enc/encdb.bundle

2 /Users/ko1/ruby/build-clean/.ext/i386-darwin9.8.0/enc/trans/transdb.bundle
3 /Users/ko1/ruby/clean-trunk/lib/rubygems/defaults.rb

4 /Users/ko1/ruby/clean-trunk/lib/tsort.rb

5 /Users/ko1/ruby/clean-trunk/lib/rubygems/deprecate.rb

6 /Users/ko1/ruby/clean-trunk/lib/rubygems/dependency_list.rb

7 /Users/ko1/ruby/clean-trunk/lib/rubygems/path_support.rb

Associated revisions

Revision 93e1583d - 06/26/2011 01:32 AM - MartinBosslet (Martin Bosslet)

e ext/openssl/extconf.rb

¢ ext/openssl/oss|_missing.h/.c: add ASN1_put_eoc if missing.

e ext/openssl/ossl_asn1.c: introduce ossl_asn1_object_size and
ossl_asn1_put_object to wrap functionality depending on OpenSSL
version in use.

Fixes [ Ruby 1.9 - Bug #4916 ] reported by Hiroshi Nakamura.
[ruby-core:37286]

git-svn-id: svn+ssh:/ci.ruby-lang.org/ruby/trunk@32230 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 06/22/2011 01:38 PM - nahi (Hiroshi Nakamura)

- Assignee set to MartinBosslet (Martin Bosslet)

openssl-0.9.7 does not have ASN1_put_eoc. Martin, can you handle this?

Dropping 0.9.7 support could be an option if there're other missing functions hardly replace. Users?

#2 - 06/22/2011 05:49 PM - MartinBosslet (Martin Bosslet)

Sure! | would put it in openssl_missing.c ?
I'll find out whether there is more than ASN1_put_eoc missing in 0.9.7.

Regards,
Martin

#3 - 06/22/2011 05:50 PM - MartinBosslet (Martin Bosslet)
- Status changed from Open to Assigned

#4 - 06/24/2011 04:09 AM - MartinBosslet (Martin Bosslet)

- Assignee changed from MartinBosslet (Martin Bosslet) to nahi (Hiroshi Nakamura)

The missing ASN1_put_eoc is not the only problem with OpenSSL 0.9.7, unfortunately. ASN1_put_object and ASN1_object_size behave differently in
>= 0.9.8 regarding the length parameter being passed to them when dealing with infinite length values.

What we could do is implement a wrapper in ext/openssl doing the right thing based on what OpenSSL version is available. If dropping 0.9.7 support
is not an option | don't know whether the wrapper solution would be worth the effort (and additional #if-bracketed code) or if it wouldn't be easier to
implement both functions in ext/openssl entirely (we would need to add ASN1_put_eoc anyway).

Hiroshi, what do you think?

Regards,
Martin

#5 - 06/24/2011 07:09 PM - nahi (Hiroshi Nakamura)

- Assignee changed from nahi (Hiroshi Nakamura) to MartinBosslet (Martin Bosslet)

Martin Bosslet wrote:
The missing ASN1_put_eoc is not the only problem with OpenSSL 0.9.7, unfortunately. ASN1_put_object and
ASN1_object_size behave differently in >= 0.9.8 regarding the length parameter being passed to them when
dealing with infinite length values.

Thanks for investigation. Hmm. | don't remember if there was such a case in ext/openss| development.
What we could do is implement a wrapper in ext/openssl doing the right thing based on what OpenSSL version is
available. If dropping 0.9.7 support is not an option | don't know whether the wrapper solution would be worth the

effort (and additional #if-bracketed code) or if it wouldn't be easier to implement both functions in ext/openssl
entirely (we would need to add ASN1_put_eoc anyway).

It's an additional feature of ASN1 which is added for this version (1.9.3). So it's OK that only 0.9.8+ users can use the new feature but we should try to
keep existed features for 0.9.7- users. Do you think you can enable new feature only if 0.9.8+ given? Or, implementing wrapper functions
(OSSL_ASN1_put_object and OSSL_ASN1_object_size) is easier?

Regards,
// NaHi

#6 - 06/24/2011 09:40 PM - MartinBosslet (Martin Bosslet)
- Assignee changed from MartinBosslet (Martin Bosslet) to nahi (Hiroshi Nakamura)
Hiroshi NAKAMURA wrote:
Martin Bosslet wrote:
The missing ASN1_put_eoc is not the only problem with OpenSSL 0.9.7, unfortunately. ASN1_put_object and

ASN1_object_size behave differently in >= 0.9.8 regarding the length parameter being passed to them when
dealing with infinite length values.

Thanks for investigation. Hmm. | don't remember if there was such a case in ext/openss| development.

Infinite length support has been introduced with 1.9.3, in 1.9.2 decoding infinite length values already
worked, but they were re-encoded using a definite length value (cf. http://redmine.ruby-lang.org/issues/4030).

It's an additional feature of ASN1 which is added for this version (1.9.3). So it's OK that only 0.9.8+ users can use the new feature but we should
try to >keep existed features for 0.9.7- users. Do you think you can enable new feature only if 0.9.8+ given? Or, implementing wrapper functions
(OSSL_ASN1_put_object >and OSSL_ASN1_object_size) is easier?
Unfortunately | can't imagine a way to hide the feature from 0.9.7 users as the feature is triggered
externally, i.e. if a user tries to decode some ASN.1 data that contains an infinite length value and
decides to encode it again.

So I'm afraid the wrapper solution is the only clean solution | can imagine right now. Should | give it
a try, what do you think? | could come up with something and we could discuss and refine it then?

#7 - 06/26/2011 10:32 AM - Anonymous
- Status changed from Assigned to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r32230.
Hiroshi, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.
May Ruby be with you.

e ext/openssl/extconf.rb
® ext/openssl/oss|_missing.h/.c: add ASN1_put_eoc if missing.

e ext/openssl/ossl_asn1.c: introduce ossl_asn1_object_size and
ossl_asn1_put_object to wrap functionality depending on OpenSSL
version in use.

Fixes [ Ruby 1.9 - Bug #4916 ] reported by Hiroshi Nakamura.
ruby-core:37286

#8 - 06/26/2011 10:43 AM - MartinBosslet (Martin Bosslet)

| added the wrapper solution in r32230 and tested it with OpenSSL 0.9.7m and 1.0.0d on Fedora 15 32bit.

Fortunately it turns out to be much less overhead than I initially thought.
Could you please verify that it works for you, too?

Regards,
Martin

#9 - 06/26/2011 03:59 PM - ko1 (Koichi Sasada)
- ruby -v changed from ruby 1.9.3dev (2011-06-22 trunk 32194) [i386-darwin9.8.0] to -

(2011/06/26 10:43), Martin Bosslet wrote:

Could you please verify that it works for you, too?
It works. Thanks!

/I SASADA Koichi at atdot dot net
